package com.bytedance.ies.nle.editor_jni;

import X.AnonymousClass6CR;

public enum LogLevel {
    LEVEL_VERBOSE((String) 0),
    LEVEL_DEBUG((String) 1),
    LEVEL_INFO((String) 2),
    LEVEL_WARNING((String) 3),
    LEVEL_ERROR((String) 4),
    LEVEL_ASSERT((String) 5),
    LEVEL_OFF((String) 6);
    
    public final int swigValue;

    public final int swigValue() {
        return this.swigValue;
    }

    public static LogLevel swigToEnum(int i) {
        Class<LogLevel> cls = LogLevel.class;
        LogLevel[] logLevelArr = (LogLevel[]) cls.getEnumConstants();
        if (i < logLevelArr.length && i >= 0 && logLevelArr[i].swigValue == i) {
            return logLevelArr[i];
        }
        for (LogLevel logLevel : logLevelArr) {
            if (logLevel.swigValue == i) {
                return logLevel;
            }
        }
        throw new IllegalArgumentException("No enum " + cls + " with value " + i);
    }

    /* access modifiers changed from: public */
    LogLevel(int i) {
        this.swigValue = i;
        AnonymousClass6CR.LIZ = i + 1;
    }

    /* access modifiers changed from: public */
    LogLevel(LogLevel logLevel) {
        int i = logLevel.swigValue;
        this.swigValue = i;
        AnonymousClass6CR.LIZ = i + 1;
    }
}
